#version 330 core

layout (location = 0) in vec4 pos;
layout (location = 1) in float ang;
layout (location = 2) in float type;

uniform mat4 viewMatrix;

out data {
	float vert_timeToLive;
	float vert_angle;
	int vert_type;
} vertex;

void main() {
	gl_Position = viewMatrix * vec4(pos.xyz, 1.0f);
	vertex.vert_timeToLive = pos.w;
	vertex.vert_angle = ang;
	vertex.vert_type = int(type);
}