#version 330 core

in vec2 vert_texCoords;

out vec3 out_fragColor;

uniform sampler2D u_texColor;

uniform bool u_doBloom;
uniform sampler2D u_texBloom;

void main() {
	out_fragColor = texture2D(u_texColor, vert_texCoords).rgb;
	
	if (u_doBloom) {
		out_fragColor += texture2D(u_texBloom, vert_texCoords).rgb;
	}
}