#version 330 core

layout(location = 0) in vec3 in_vertPos_modelSpace;

uniform mat4 u_modelMatrix;
uniform mat4 u_transform;

out vec4 vert_fragPos;

void main() {
	vert_fragPos = u_modelMatrix * vec4(in_vertPos_modelSpace, 1.0f);
	gl_Position = u_transform * vert_fragPos;
}