#version 330 core

layout (location = 0) in vec4 posVel;

uniform mat4 viewMatrix;

out data {
	float height;
} vertex;

void main() {
	gl_Position = viewMatrix * vec4(posVel.xyz, 1.0f);
	vertex.height = posVel.y;
}