#version 330 core

in vec4 vert_fragPos;

uniform vec3 u_lightPos;
uniform float u_oneDivFar;

void main() {
	float lightDis = length(vert_fragPos.xyz - u_lightPos);
	gl_FragDepth = lightDis * u_oneDivFar; // [0, 1] range
}  