#version 330 core

in vec3 vert_fragColor;
in vec3 vert_fragPos;

layout (location = 0) out vec4 out_frabColorFront;
layout (location = 1) out vec4 out_fragColorBack;

uniform vec3 u_camPos;

void main() {
	float dis = length(u_camPos - vert_fragPos);
	out_frabColorFront = vec4(vert_fragColor, dis);
	out_fragColorBack = vec4(vert_fragColor, dis);
}