#version 330 core

layout (location = 0) in vec3 in_vertPos_modelSpace;

out vec3 vert_fragColor;
out vec3 vert_fragPos;

uniform mat4 u_modelMatrix;
uniform mat4 u_modelViewProjMatrix;

void main() {
	gl_Position = u_modelViewProjMatrix * vec4(in_vertPos_modelSpace, 1.0f);
	vert_fragColor = in_vertPos_modelSpace;
	
	vert_fragPos = (u_modelMatrix * vec4(in_vertPos_modelSpace, 1.0f)).xyz;
}